Redmine - Defect #1599

"My Page" not Personalizable
2008-07-08 00:45 - Jose Diaz-Gonzalez

Status: Closed Start date: 2008-07-08
Priority: Normal Due date:

Assignee: % Done: 0%
Category: ul Estimated time: 0.00 hour
Target version:

Resolution: Fixed Affected version: 0.7.2
Description

On both my personal server and the official Redmine "Redmine" installation, | am not able to personalize My Page. When | add items
to "My Page", the item selector is cleared and nothing is added. You also can't re-add any of the default items once they have been
deleted.

Redmine 0.7.2

ruby 1.8.5 (2006-08-25) [i386-linux]
Rails 2.0.2

MySQL 4.1

History

#1 - 2008-07-08 08:55 - Thomas Lecavelier

Your couple ruby/mysql could be a little bit old. Could you provide a copy of your log/production.log files please? (please, remove or hide IP
indications fi your instance is exposed to the internet).

Thank you.

BTW: next time, before opening a defect, please use the forum/help or the irc to be sure you hit a defect, in order to keep the trackers as light as
possible. Thank you.

#2 - 2008-07-09 02:25 - Jose Diaz-Gonzalez

- File censoredproduction.log added

For reference, | used http://alandaveline.com/blog/2008/05/16/redmine-on-dreamhost-with-passenger/ to install. I've also taken the liberty of
disguising the email addresses, domain name, names and user idents (hopefully all...).

#3 - 2008-07-09 03:10 - Jose Diaz-Gonzalez
Sorry, it's a MySQL 5 database. | can't recall where | got 4.1. That would be ANCIENT.

#4 - 2009-12-10 06:07 - Chris Wong

Running 0.8.0 r2761 I'm also experiencing problems with My Page widgets but only when trying to re-add items in the list. Steps to reproduce:

1. Press personalize this page
2. Add a widget
3. Delete the widget by pressing X
4. Widget that was deleted cannot be added back to the page
This behaviour is resolved by either pressing '‘Cancel’ or refreshing the page
#5 - 2009-12-11 01:01 - Mischa The Evil
Chris Wong wrote:
Running 0.8.0 r2761 I'm also experiencing problems with My Page widgets but only when trying to re-add items in the list.

[..]

I've opened a new issue for this undesired behaviour. See #4379.

#6 - 2009-12-11 01:14 - Mischa The Evil

- Category changed from Accounts / authentication to Ul
http://alandaveline.com/blog/2008/05/16/redmine-on-dreamhost-with-passenger/
https://www.redmine.org/projects/redmine/repository/svn/revisions/2761
https://www.redmine.org/projects/redmine/repository/svn/revisions/2761
https://www.redmine.org/issues/4379

- Status changed from New to Closed
- Priority changed from High to Normal

- Resolution set to Fixed

Jose Diaz-Gonzalez wrote:

On both my personal server and the official Redmine "Redmine" installation, | am not able to personalize My Page. When | add items to "My
Page", the item selector is cleared and nothing is added.

This does not affect the current source:/trunk (anymore). | even doubit if it has affected source:/branches/0.8-stable ever.

Jose Diaz-Gonzalez wrote:

You also can't re-add any of the default items once they have been deleted.

This undesired bahaviour is (still) replicatable on both source:/trunk and source:/branches/0.8-stable. I've pushed it to #4379 to be able to close this
old (and obsoleted) defect.

Files

censoredproduction.log 218 KB 2008-07-09 Jose Diaz-Gonzalez
